use actix_web::{web, App, HttpResponse, HttpServer, Responder};

mod log;
use log::LogLevel;

async fn hello() -> impl Responder {
    HttpResponse::Ok().body("Hello world")
}

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    logf!(LogLevel::INFO, "This is an info log.");
    logf!(LogLevel::CORRECT, "This is a correct log.");
    logf!(LogLevel::ERROR, "This is an error log.");
    logf!(LogLevel::WARNING, "This is a warning log.");
    logf!(LogLevel::NOLOG, "This is no log.");
    HttpServer::new(|| App::new().route("/hello", web::get().to(hello)))
        .bind("127.0.0.1:8080")?
        .run()
        .await
}
